"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Table = require('easy-table');
function printRepoStatus(results) {
    return new Promise(function (resolve, reject) {
        var table;
        try {
            table = resultsToTable(results);
        }
        catch (err) {
            reject(new Error("Error while formatting results. Error: " + err));
            return;
        }
        console.log();
        console.log();
        console.log(table.toString());
        resolve();
    });
}
exports.printRepoStatus = printRepoStatus;
function resultsToTable(results) {
    var table = new Table();
    Object.keys(results).forEach(function (key) {
        table.cell('Project', key);
        table.cell('Status', results[key]);
        table.newRow();
    });
    return table;
}
